Bug 22148 - update request nvida340 340.104
Summary: update request nvida340 340.104
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks: 22166 22268 22269
  Show dependency treegraph
 
Reported: 2017-12-08 23:29 CET by Thomas Backlund
Modified: 2018-01-03 11:32 CET (History)
4 users (show)

See Also:
Source RPM: nvidia340
CVE:
Status comment:


Attachments

Description Thomas Backlund 2017-12-08 23:29:08 CET
Note to testers, this one has been in cauldron for a long time without issues, it only adds support for newer kernels, sothing else. It also needs to go out before we roll out kernel 4.14 series.


Advisory:
Updated nvidia340 series drivers

This update provides nvidia340 version 340.104 adding support for kernel 4.14 series.



SRPMS:
nvidia340-340.104-3.mga6.nonfree.src.rpm



i586:
dkms-nvidia340-340.104-3.mga6.nonfree.i586.rpm
nvidia340-cuda-opencl-340.104-3.mga6.nonfree.i586.rpm
nvidia340-devel-340.104-3.mga6.nonfree.i586.rpm
nvidia340-doc-html-340.104-3.mga6.nonfree.i586.rpm
x11-driver-video-nvidia340-340.104-3.mga6.nonfree.i586.rpm



x86_64:
dkms-nvidia340-340.104-3.mga6.nonfree.x86_64.rpm
nvidia340-cuda-opencl-340.104-3.mga6.nonfree.x86_64.rpm
nvidia340-devel-340.104-3.mga6.nonfree.x86_64.rpm
nvidia340-doc-html-340.104-3.mga6.nonfree.x86_64.rpm
x11-driver-video-nvidia340-340.104-3.mga6.nonfree.x86_64.rpm
Thomas Backlund 2017-12-10 21:23:00 CET

Blocks: (none) => 22166

Comment 1 Thomas Andrews 2017-12-11 01:46:11 CET
On both 64-bit and 32-bit Plasma systems, with server kernel 4.9.56, installing the nvidia340 update causes the Plasma "Leave" buttons on the panel, context menu, and KDE menu to become unresponsive. This would appear to be Bug #20153, which I previously ran into when installing the nvidia driver through MCC.

I get a ladybug icon in the panel, and when I click on that I get a box which says under "details," "Executable: ksmserver-logout-greeter PID: 22042 Signal Aborted (6)" with the time it happened.

I can reboot using "reboot" from Konsole. After the reboot, the "leave buttons work as they should, just as with Bug #20153.

I believe that any Plasma user attempting to update this diver will run into this. I also believe it would be valid for the nvidia304 driver, but I no longer have the hardware to test that assertion.

Other than that, the driver is functioning normally and looks good.

CC: (none) => andrewsfarm

Comment 2 Len Lawrence 2017-12-11 22:33:22 CET
System:    Host: canopus Kernel: 4.9.56-desktop-1.mga6 x86_64 (64 bit)
Graphics:  Card: NVIDIA G84M [GeForce 8700M GT]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l
           Resolution: 1920x1200@60.00hz
           GLX Renderer: GeForce 8700M GT/PCIe/SSE2
           GLX Version: 3.3.0 NVIDIA 340.104

Smooth upgrade and reboot.

$ rpm -qa | grep nvidia340
x11-driver-video-nvidia340-340.104-3.mga6.nonfree
nvidia340-cuda-opencl-340.104-3.mga6.nonfree
nvidia340-doc-html-340.104-3.mga6.nonfree
dkms-nvidia340-340.104-3.mga6.nonfree
nvidia340-devel-340.104-3.mga6.nonfree

Mate running well, firefox, totem with videos, glmark2.

CC: (none) => tarazed25

Comment 3 PC LX 2017-12-12 01:09:06 CET
Installed and tested without regressions.

System: Mageia 6, x86_64, Plasma DE, LXQT DE, Intel CPU, nVidia GPU Geforce 210 using the proprietary nvidia340 driver.

Tests included running Plasma DE and LXQT DE sessions at the same time, several OpenGL games, hardware accelerated vdpau video playback and general usage for a few hours.

$ rpm -qa | grep nvidia340
x11-driver-video-nvidia340-340.104-3.mga6.nonfree
nvidia340-cuda-opencl-340.104-3.mga6.nonfree
dkms-nvidia340-340.104-3.mga6.nonfree
nvidia340-devel-340.104-3.mga6.nonfree
$ uname -a
Linux marte 4.9.56-desktop-1.mga6 #1 SMP Thu Oct 12 22:55:31 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
$ lspcidrake | grep VGA
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|GT218 [GeForce 210] [DISPLAY_VGA] (rev: a2)
$ cat /proc/driver/nvidia/version 
NVRM version: NVIDIA UNIX x86_64 Kernel Module  340.104  Thu Sep 14 17:13:13 PDT 2017
GCC version:  gcc version 5.4.0 (Mageia 5.4.0-5.mga6)

CC: (none) => mageia

Comment 4 Len Lawrence 2017-12-18 19:17:38 CET
Installed nvidia 340.104 and rebooted.
System:    Host: belexeuli Kernel: 4.14.5-desktop-1.mga6 x86_64 (64 bit)
Graphics:  Card-2: NVIDIA GF114 [GeForce GTX 555]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l
           Resolution: 2560x1440@59.95hz
           GLX Renderer: GeForce GTX 555/PCIe/SSE2
           GLX Version: 4.4.0 NVIDIA 340.104

Desktop running fine.  vlc, image viewers etc.  glmark2 returned 3118.
Comment 5 Len Lawrence 2017-12-20 13:15:39 CET
Trying this on yet another machine.

Installed and rebooted but could not get it to "take" even after XFdrake.  Had to remove nvidia-current for it to rebuild and install on boot.

System:    Host: vega Kernel: 4.14.5-desktop-1.mga6 x86_64 (64 bit)
CPU:       Quad core Intel Core i7-4790K (-HT-MCP-) speed/max: 4000/4400 MHz
Machine:   Device: desktop Mobo: Gigabyte model: G1.Sniper Z97 v: x.x
Graphics:  Card-2: NVIDIA GK104 [GeForce GTX 770]
           GLX Version: 4.4.0 NVIDIA 340.104

Everything running as it should.  Ran glmark2.
Good for 64 bits with Mageia 6.
Comment 6 Thomas Backlund 2017-12-22 14:53:15 CET
Advisory, added to svn:

type: bugfix
subject: Updated nvidia340 packages adds kernel 4.14 support
src:
  6:
   nonfree:
     - nvidia340-340.104-3.mga6.nonfree
description: |
  This update provides version 340.104 from the R340 branch, adding
  support for kernel 4.14 series.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=22148

Keywords: (none) => advisory

Thomas Backlund 2017-12-26 02:05:33 CET

Blocks: (none) => 22268

Thomas Backlund 2017-12-26 02:05:41 CET

Blocks: (none) => 22269

Comment 7 Thomas Andrews 2018-01-02 20:08:57 CET
This driver is working well for me on both 32- and 64-bit Plasma installs with the server kernel 4.14.10.

As no one is showing any problems with it, I'm giving it the OK for both.

Whiteboard: (none) => MGA6-64-OK MGA-32-OK

Thomas Andrews 2018-01-02 20:09:46 CET

Whiteboard: MGA6-64-OK MGA-32-OK => MGA6-64-OK MGA6-32-OK

Lewis Smith 2018-01-03 10:48:08 CET

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 8 Mageia Robot 2018-01-03 11:32:59 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0004.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.